From: "Fabian Groffen" <grobian@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/openbsd-netcat/
Date: Mon, 4 Jul 2016 12:25:09 +0000 (UTC) [thread overview]
Message-ID: <1467635100.bfd0d5d8b0839284b65841332be32b99e6b84441.grobian@gentoo> (raw)
commit: bfd0d5d8b0839284b65841332be32b99e6b84441
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 4 12:24:02 2016 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Mon Jul 4 12:25:00 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfd0d5d8
net-analyzer/openbsd-netcat: undo Linuxification on Darwin
Package-Manager: portage-2.2.28
.../openbsd-netcat/openbsd-netcat-1.105-r1.ebuild | 15 +++++++++++++--
1 file changed, 13 insertions(+), 2 deletions(-)
diff --git a/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild b/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild
index c4d9efa..f20c5c3 100644
--- a/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild
+++ b/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild
@@ -4,7 +4,7 @@
EAPI=6
-inherit toolchain-funcs
+inherit toolchain-funcs flag-o-matic
DESCRIPTION="The OpenBSD network swiss army knife"
HOMEPAGE="http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/"
@@ -12,11 +12,12 @@ SRC_URI="http://http.debian.net/debian/pool/main/n/netcat-openbsd/netcat-openbsd
http://http.debian.net/debian/pool/main/n/netcat-openbsd/netcat-openbsd_${PV}-7.debian.tar.gz"
LICENSE="BSD"
SLOT="0"
+IUSE="elibc_Darwin"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x64-macos"
DEPEND="virtual/pkgconfig"
-RDEPEND="dev-libs/libbsd
+RDEPEND="!elibc_Darwin? ( dev-libs/libbsd )
!net-analyzer/netcat
!net-analyzer/netcat6
"
@@ -25,6 +26,16 @@ S=${WORKDIR}/netcat-openbsd-${PV}
PATCHES=( "${WORKDIR}/debian/patches" )
+src_prepare() {
+ default
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # Darwin = BSD, so remove libbsd dependency
+ sed -i -e '/#include/s|bsd/||' -e 's/strtonum/strtoimax/' *.[ch] || die
+ # Clang defaults to C99, but strtoimax isn't in C99
+ append-flags -DIPTOS_LOWCOST=0x02 -std=c89
+ fi
+}
+
src_compile() {
emake CC=$(tc-getCC) CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die
}
next reply other threads:[~2016-07-04 12:25 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-07-04 12:25 Fabian Groffen [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-09 2:20 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/openbsd-netcat/ Sam James
2024-08-02 11:25 James Le Cuirot
2023-09-29 18:36 WANG Xuerui
2023-05-06 14:48 Arthur Zamarin
2023-05-06 14:30 Sam James
2023-05-06 13:50 Arthur Zamarin
2023-05-06 12:11 Sam James
2023-05-01 13:19 Sam James
2023-01-19 2:27 Sam James
2023-01-19 2:27 Sam James
2023-01-19 2:27 Sam James
2023-01-19 2:27 Sam James
2023-01-19 1:39 Sam James
2023-01-19 1:39 Sam James
2022-09-25 1:15 Sam James
2022-08-12 10:33 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-08-10 10:56 Arthur Zamarin
2022-08-10 9:42 Agostino Sarubbo
2022-06-24 20:57 Jakov Smolić
2022-03-20 18:43 Sam James
2022-01-03 23:26 David Seifert
2021-09-27 14:53 Marek Szuba
2021-08-09 1:18 Sam James
2021-04-19 0:23 Sam James
2021-04-03 15:57 Sam James
2020-10-25 23:42 Thomas Deutschmann
2020-10-25 23:17 Sam James
2020-08-20 13:20 Sam James
2020-05-13 4:00 Benda XU
2019-04-08 23:18 Aaron Bauman
2019-03-13 13:42 Mikle Kolyada
2019-03-13 13:19 Michał Górny
2017-09-13 15:05 Fabian Groffen
2016-05-23 19:37 Fabian Groffen
2016-05-17 8:29 Fabian Groffen
2016-05-13 8:11 Benda XU
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1467635100.bfd0d5d8b0839284b65841332be32b99e6b84441.grobian@gentoo \
--to=grobian@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox